Bug 805967 - Review Request: jboss-metadata - JBoss Metadata
Review Request: jboss-metadata - JBoss Metadata
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 11:10 EDT by Juan Hernández
Modified: 2012-04-11 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-metadata-7.0.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 15:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-03-22 11:10:29 EDT
Spec URL:

http://jhernand.fedorapeople.org/rpms/jboss-metadata/7.0.1-1/jboss-metadata.spec

SRPM URL:

http://jhernand.fedorapeople.org/rpms/jboss-metadata/7.0.1-1/jboss-metadata-7.0.1-1.fc18.src.rpm

Description:

This package contains JBoss Metadata for JBoss AS 7.
Comment 1 Juan Hernández 2012-03-22 11:11:28 EDT
Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3922487
Comment 2 Marek Goldmann 2012-03-22 11:19:44 EDT
I'll take it.
Comment 3 Marek Goldmann 2012-03-22 14:35:23 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/jboss-metadata.spec 
SPECS/jboss-metadata.spec: W: invalid-url Source0: jboss-metadata-7.0.1.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/noarch/jboss-metadata-7.0.1-1.fc17.noarch.rpm 
jboss-metadata.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/jboss-metadata-7.0.1-1.fc17.src.rpm 
jboss-metadata.src: I: enchant-dictionary-not-found en_US
jboss-metadata.src: W: invalid-url Source0: jboss-metadata-7.0.1.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 91ad3488e3423ac0b54b1ae271efc705
MD5SUM upstream package: 91ad3488e3423ac0b54b1ae271efc705
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3923259

================
*** APPROVED ***
================
Comment 4 Juan Hernández 2012-03-22 14:39:35 EDT
New Package SCM Request
=======================
Package Name: jboss-metadata
Short Description: JBoss Metadata
Owners: jhernand
Branches: f17
InitialCC: goldmann
Comment 5 Gwyn Ciesla 2012-03-22 14:43:12 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-03-23 11:45:36 EDT
jboss-metadata-7.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-metadata-7.0.1-1.fc17
Comment 7 Fedora Update System 2012-04-11 23:19:55 EDT
jboss-metadata-7.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.